#ifndef SCROLLBARNODE_H
#define SCROLLBARNODE_H

#include "scene/gui/guinode.h"

class MeshNode;

class ScrollBarNode : public GUINode
{
protected:
    glm::vec2 m_dimension;
    glm::vec2 m_bar_position;
    glm::vec2 m_bar_dimension;
    glm::vec2 m_last_bar_dimension;
    MeshNode* m_bar;
    bool m_barResized;
    bool m_barMoved;
public:
    ScrollBarNode(glm::vec2 dimension);
    void update();
    glm::vec2 getDimension();
    void moveBar(glm::vec2 position);
    void resizeBar(glm::vec2 dimension);
};

#endif // SCROLLBARNODE_H
