#include "shellscrollbar.h"
#include "sparrowshell.h"
#include "SparrowRenderer/mesh.h"
#include "SparrowRenderer/phongmaterial.h"
#include "scene/meshnode.h"
#include "tools/utils.h"
#include <iostream>


ShellScrollBar::ShellScrollBar(SparrowShell *shell):
    ScrollBarNode(
        glm::vec2(
            SparrowShell::SCROLLBAR_PIXEL_WIDTH,
            SparrowShell::DEFAULT_FONT_SIZE*SparrowShell::BUFFER_DISPLAYED_LINES
            )
        ),
    m_shell(shell)
{
//    MeshNode(nullptr,false);
//    m_position = glm::vec2(m_shell->getDimension().x-SparrowShell::SCROLLBAR_PIXEL_WIDTH,0);
//    m_max_height = ;
//    m_dimension = glm::vec2(SparrowShell::SCROLLBAR_PIXEL_WIDTH, m_max_height);
//    moveTo2D(m_position);

//    Mesh* mesh = new Mesh();

//    mesh->addRectangle2D(glm::vec2(0),m_dimension);
//    PhongMaterial* mat = new PhongMaterial();
//    mat->diffuse = glm::vec3(0,0,0.5);
//    mat->m_opacity = 0.8;
//    mesh->setMaterial(mat);
//    mesh->setDepth(SparrowShell::SHELL_DEPTH+1);
//    mesh->initGL();
//    m_geometry.mesh = mesh;
}

void ShellScrollBar::update(){
    ScrollBarNode::update();
    int size = m_shell->getBuffer()->size();
    float cran = (m_dimension.y/(float)size);
    int indexCursor = m_shell->getIndex();

    if (m_shell->isBufferResized()){
        resizeBar(glm::vec2(m_dimension.x,(int)(cran * SparrowShell::BUFFER_DISPLAYED_LINES)));
//        resize2D(m_dimension,new_dim);
    }
    if (m_shell->indexMoved())
    {
        m_bar_position.y = cran * indexCursor;
        moveBar(m_bar_position);
    }
}
